Page MenuHomePhabricator

ULS personal bar menu item needs to feature style guide compliant icon
Closed, ResolvedPublic

Description

The personal bar ULS item needs to feature WikimediaUI style guide compliant icon similar to “language” icon of 'editing-advanced'.


On multilingual wikis, such as mediawiki.org or Wikimedia Commons, the language selection is shown in the user personal bar on top.

The current language selection icon has become outdated with respect the general icon style (where monochrome icons are used) and the language icon used in newer products such as the mobile view:

The mockup below shows the new language icon in the personal toolbar:

The language icon is available in the icon repo, and their graphic assets are provided below as SVG for black and grey versions:

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterReduce the padding for ULS trigger icon in personal toolbar position
mediawiki/extensions/UniversalLanguageSelector : masterUpdate jquery.uls to 54a466e
mediawiki/extensions/UniversalLanguageSelector : masterUpdate jquery.uls to d122f37
mediawiki/extensions/UniversalLanguageSelector : masterUpdate jquery.uls to fd41bbe5e16a
mediawiki/extensions/UniversalLanguageSelector : masterUpdate jquery.uls to fd41bbe5e16a

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Volker_E updated the task description. (Show Details)Nov 27 2017, 10:51 PM
Amire80 triaged this task as Low priority.Jan 2 2018, 2:04 PM

Change 404065 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to fd41bbe5e16a

https://gerrit.wikimedia.org/r/404065

Change 404065 abandoned by Petar.petkovic:
Update jquery.uls to fd41bbe5e16a

Reason:
Mistake

https://gerrit.wikimedia.org/r/404065

Change 404066 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to fd41bbe5e16a

https://gerrit.wikimedia.org/r/404066

@Petar.petkovic As @Amire80 pointed out in M229#3936 a misconception has probably been lead to the RTL version of the language icon in https://gerrit.wikimedia.org/r/#/c/263410/
From current point of information we should update jquery.uls once more to reflect that. OOUI is targeted to feature uni-directional 'language' icon in v0.26.0 via https://gerrit.wikimedia.org/r/#/c/400091/

As preview, LTR would end up with such treatment (padding-left reduced to 24px and no special SVG fill)


RTL would be resembled closely to this:

Does this make sense, @Amire80?

Change 404066 abandoned by Petar.petkovic:
Update jquery.uls to fd41bbe5e16a

Reason:
Conflicting patch I7341064cd0 has more info in commit message.

https://gerrit.wikimedia.org/r/404066

Change 404234 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to d122f37

https://gerrit.wikimedia.org/r/404234

Change 404234 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to d122f37

https://gerrit.wikimedia.org/r/404234

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.Feb 1 2018, 8:11 AM

Pull request #294 is now merged.

Change 408517 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 54a466e

https://gerrit.wikimedia.org/r/408517

Change 408517 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls to 54a466e

https://gerrit.wikimedia.org/r/408517

@Pginer-WMF In mediawiki (wmf.20) the icon looks somewhat smaller than in the mockup and with a less contrast(?). Please confirm that the look of the icon is fine.

The new icon:

The old icon (wmf.17):

Change 409739 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Reduce the padding for ULS trigger icon in personal toolbar position

https://gerrit.wikimedia.org/r/409739

Change 409739 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Reduce the padding for ULS trigger icon in personal toolbar position

https://gerrit.wikimedia.org/r/409739

Etonkovidova closed this task as Resolved.Feb 14 2018, 12:01 AM

Checked in mediawiki (wmf.21) - the icon moved closer.

Compare with wmf.20

KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Feb 14 2018, 4:52 AM
Volker_E raised the priority of this task from Low to Needs Triage.Mar 17 2018, 8:05 PM
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.